	TRACE("\nEntering OnMakeTable handler"); 
	ASSERT_VALID(m_pInputFile);
	m_pInputFile->SeekToBegin();
	char buffer[41];
	CString cs;
	int count = 0;
	int p1, p2, p3, p4, p5, p6, p7, p8;	// storage for other data parameters
	int nShape, nXSize, nYSize;

	do
	{
		cs = CString(m_pInputFile->ReadString(buffer, 40));    // read next line
		if(*buffer == '\0')
			break;
		if(count)
			count--;
		else
		{
			if(cs.Left(4) == "COMP")
				count = 6;
			else if((cs.Left(2) == "FA"))    // arcs
			{
				m_pInputFile->ReadString(buffer, 40);
				sscanf(buffer, "%d %d %d %d %d %d", &p1, &p2, &p3, &p4, &nXSize, &p6); 
				CApertureObject& cao = *(new CApertureObject(CIRCULAR, MULTI, nXSize, nXSize));
				if(!(m_pApList->SearchList(cao)))   // doesn't already exixt
					m_pApList->AddHead(&cao);        // add to list 
				else
					delete &cao;
			} 
			else if((cs.Left(2) == "CT") || (cs.Left(2) == "FT"))     // tracks
			{		
				m_pInputFile->ReadString(buffer, 40);
				sscanf(buffer, "%d %d %d %d %d %d %d", &p1, &p2, &p3, &p4, &nXSize, &p6, &p7);
				CApertureObject& cao = *(new CApertureObject(CIRCULAR, MULTI, nXSize, nXSize));
				if(!(m_pApList->SearchList(cao)))   // doesn't already exixt
					m_pApList->AddHead(&cao);        // add to list
				else
					delete &cao;
			}
		} 
	} while(1);
